Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.misc
Class VCardParser

    java.lang.Object
      com.knowgate.misc.VCardParser

    public class VCardParser

extends java.lang.Object

Constructor Summary
`VCardParser()`

Method Summary
`int` | `getVCardsCount()`
`void` | `parse(java.io.File oFile)`
`void` | `parse(java.io.File oFile, java.lang.String sCharSet)`
`void` | `parse(java.io.InputStream oStrm)`
`void` | `parse(java.io.InputStream oStrm, java.lang.String sCharSet)`
`void` | `parse(java.lang.String sStr)`
`java.util.HashMap<java.lang.String,java.lang.String>` | `vcard(int n)`
`java.util.ArrayList<java.util.HashMap<java.lang.String,java.lang.String>>` | `vcards()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VCardParser

    public VCardParser()

Method Detail

### getVCardsCount

    public int getVCardsCount()

### vcard

    public java.util.HashMap<java.lang.String,java.lang.String> vcard(int n)

### vcards

    public java.util.ArrayList<java.util.HashMap<java.lang.String,java.lang.String>> vcards()

### parse

    public void parse(java.lang.String sStr)
               throws java.lang.NullPointerException

  Throws:
    `java.lang.NullPointerException`

### parse

    public void parse(java.io.File oFile)
               throws java.io.FileNotFoundException,
                      java.io.IOException,
                      java.lang.NumberFormatException,
                      java.lang.ArrayIndexOutOfBoundsException,
                      java.lang.RuntimeException,
                      java.lang.NullPointerException,
                      java.lang.IllegalArgumentException

  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`
    `java.lang.NumberFormatException`
    `java.lang.ArrayIndexOutOfBoundsException`
    `java.lang.RuntimeException`
    `java.lang.NullPointerException`
    `java.lang.IllegalArgumentException`

### parse

    public void parse(java.io.File oFile,
                      java.lang.String sCharSet)
               throws java.io.FileNotFoundException,
                      java.io.IOException,
                      java.lang.NumberFormatException,
                      java.lang.ArrayIndexOutOfBoundsException,
                      java.lang.RuntimeException,
                      java.lang.NullPointerException,
                      java.lang.IllegalArgumentException

  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`
    `java.lang.NumberFormatException`
    `java.lang.ArrayIndexOutOfBoundsException`
    `java.lang.RuntimeException`
    `java.lang.NullPointerException`
    `java.lang.IllegalArgumentException`

### parse

    public void parse(java.io.InputStream oStrm)
               throws java.io.FileNotFoundException,
                      java.io.IOException,
                      java.lang.NumberFormatException,
                      java.lang.ArrayIndexOutOfBoundsException,
                      java.lang.RuntimeException,
                      java.lang.NullPointerException,
                      java.lang.IllegalArgumentException

  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`
    `java.lang.NumberFormatException`
    `java.lang.ArrayIndexOutOfBoundsException`
    `java.lang.RuntimeException`
    `java.lang.NullPointerException`
    `java.lang.IllegalArgumentException`

### parse

    public void parse(java.io.InputStream oStrm,
                      java.lang.String sCharSet)
               throws java.io.FileNotFoundException,
                      java.io.IOException,
                      java.lang.NumberFormatException,
                      java.lang.ArrayIndexOutOfBoundsException,
                      java.lang.RuntimeException,
                      java.lang.NullPointerException,
                      java.lang.IllegalArgumentException

  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`
    `java.lang.NumberFormatException`
    `java.lang.ArrayIndexOutOfBoundsException`
    `java.lang.RuntimeException`
    `java.lang.NullPointerException`
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD